%define _altdata_dir %_datadir/alterator

Name: alterator-openvpn-server
Version: 0.8.2
Release: alt1
License: %gpl2plus
Group: System/Configuration/Other
Summary: Alterator module for openvpn server configuration
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar

Requires: alterator >= 4.7-alt3 alterator-sh-functions >= 0.6-alt5 libshell >= 0.0.1-alt4
Requires: alterator-net-functions >= 1.0-alt3
Requires: alterator-net-iptables
Requires: alterator-sslkey
Requires: cert-sh-functions
Requires: alterator-l10n >= 2.7-alt12
Requires: openvpn >= 2.1
Requires: etcnet
Requires: openresolv 

BuildPreReq: alterator >= 4.7-alt3
BuildPreReq: rpm-build-licenses

BuildArch: noarch

%description
Alterator module for openvpn server configuration

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_alterator_backend3dir/*

%changelog
* Mon Oct 25 2010 Mikhail Efremov <sem@altlinux.org> 0.8.2-alt1
- Validate CA certificate.
- add "Use a TCP connection" checkbox.

* Sat Jan 02 2010 Mikhail Efremov <sem@altlinux.org> 0.8.1-alt1
- added 'script-security 2' option to openvpn config.
- use /bin/bash in backend, not /bin/sh.
- update requires.

* Mon Sep 28 2009 Mikhail Efremov <sem@altlinux.org> 0.8.0-alt1
- don't use separate page for upload CA certificate.

* Thu Sep 03 2009 Mikhail Efremov <sem@altlinux.org> 0.7.4-alt1
- use ipv4addr_prefix_to_mask() instead prefix_to_mask().
- use language in woo-write calls.

* Wed Sep 02 2009 Mikhail Efremov <sem@altlinux.org> 0.7.3-alt1
- check_networks(): 2 params instead 4.
- use functions from alterator-net-functions.

* Tue Sep 01 2009 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt1
- fix previous change.

* Fri Aug 28 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- use value="#t" for checkboxs.

* Tue Aug 25 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1
- use workflow 'none'.
- UI improved.
- fix 'Type'  translation.

* Thu Aug 20 2009 Mikhail Efremov <sem@altlinux.org> 0.6.3-alt1
- move translations to alterator-l10n.
- Updated Russian translation.
- slightly UI improved.

* Fri Aug 14 2009 Mikhail Efremov <sem@altlinux.org> 0.6.2-alt1
- fixed ui ('Gateway address' visibility).

* Mon Aug 10 2009 Mikhail Efremov <sem@altlinux.org> 0.6.1-alt1
- Updated Russian translation.
- removed 'Advanced settings' checkbox.
- fixed woo-read-first call.

* Tue Jul 21 2009 Mikhail Efremov <sem@altlinux.org> 0.6.0-alt1
- use alterator-sslkey.
- backend: cleanup, rename functions, etc.

* Mon Jun 08 2009 Mikhail Efremov <sem@altlinux.org> 0.5.1-alt1
- not call netdev_is_real() in get_ip4addr_for_subnet().
- fixed ifup/down scripts creating.
- Not set 'ONBOOT=yes' if openvpn not started.

* Fri Jun 05 2009 Mikhail Efremov <sem@altlinux.org> 0.5.0-alt1
- not create iface directory before checks.
- implemented 'bridged' method.

* Wed May 27 2009 Mikhail Efremov <sem@altlinux.org> 0.4.4-alt1
- use ca-root.pem instead root.pem.
- always set paths to cache dir in init_cache() (closes: #20189).
- fix stop server.
- unlock 'bridged' interface (not work yet).

* Fri May 22 2009 Mikhail Efremov <sem@altlinux.org> 0.4.3-alt1
- really fixed creating new configuration files.

* Fri May 22 2009 Mikhail Efremov <sem@altlinux.org> 0.4.2-alt1
- fixed creating new configuration files

* Thu May 21 2009 Mikhail Efremov <sem@altlinux.org> 0.4.1-alt1
- fixed server and clients networks removing
- use addresses of internal interfaces for server networks
  by default.
- fixed 'reset' button.
- remove debug print.
- use only generated by alterator-openvpn-server configurations.

* Tue May 19 2009 Mikhail Efremov <sem@altlinux.org> 0.4.0-alt1
- use multiple server networks.

* Fri May 15 2009 Mikhail Efremov <sem@altlinux.org> 0.3.1-alt1
- remove leading spaces from config values.

* Thu May 14 2009 Mikhail Efremov <sem@altlinux.org> 0.3.0-alt1
- Updated Russian translation.
- rename 'Client nameserver' -> 'Client DNS-server'.
- added 'LZO compression' checkbox 
- added 'Advanced settings' checkbox.
- use ui-file instead ui-blob.
- improved UI.
- moved certificates/key managment to separate page.

* Fri May 08 2009 Mikhail Efremov <sem@altlinux.org> 0.2.4-alt1
- remove client nameserver when removed its network.
- check networks conflicts.
- also show prefix in netmask lists.
- fixed default client selecting in listbox.
- not use '#f' as client name.

* Tue May 05 2009 Mikhail Efremov <sem@altlinux.org> 0.2.3-alt1
- remove csr when certificate uploaded.
- removed iptables rules for tun/tap.
- ip addresses validation.
- use hostname in CN.

* Tue Apr 28 2009 Mikhail Efremov <sem@altlinux.org> 0.2.2-alt1
- remove debug print
- improve UI.
- use openresolv '-p' option
- remove clients DNS servers when removing client.

* Tue Apr 28 2009 Mikhail Efremov <sem@altlinux.org> 0.2.1-alt2
- openresolv requires is added

* Mon Apr 27 2009 Mikhail Efremov <sem@altlinux.org> 0.2.1-alt1
- use ui-blob for .csr file.
- fix name in .desktop file

* Mon Apr 27 2009 Mikhail Efremov <sem@altlinux.org> 0.2.0-alt1
- use clients DNS servers
- push own DNS server to clients
- use cache for configuretion files

* Thu Apr 16 2009 Mikhail Efremov <sem@altlinux.org> 0.1.6-alt1
- Russian translation
- minor fixes for translation

* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.1.5-alt1
- fix server start.

* Tue Apr 14 2009 Mikhail Efremov <sem@altlinux.org> 0.1.4-alt1
- UI improved.
- scm UI removed.
- move to servers category.
- use next_iface from alterator-net-functions.

* Fri Apr 03 2009 Mikhail Efremov <sem@altlinux.org> 0.1.3-alt1
- fixed certificate path.

* Thu Apr 02 2009 Mikhail Efremov <sem@altlinux.org> 0.1.2-alt1
- use cert-sh-functions.
- fixed certificates upload.

* Thu Apr 02 2009 Mikhail Efremov <sem@altlinux.org> 0.1.1-alt1
- hide 'Type' combobox (bridged mode not work yet

* Fri Mar 27 2009 Mikhail Efremov <sem@altlinux.org> 0.1.0-alt1
- 0.1.0

* Tue Mar 17 2009 Mikhail Efremov <sem@altlinux.org> 0.0.1-alt1
- initial release

